ClientCertificateType (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class ClientCertificateType

- java.lang.Object
- - org.bouncycastle.crypto.tls.ClientCertificateType

-     public class ClientCertificateType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `dss_ephemeral_dh_RESERVED`
    `static short` | `dss_fixed_dh`
    `static short` | `dss_sign`
    `static short` | `ecdsa_fixed_ecdh`
    `static short` | `ecdsa_sign`
    `static short` | `fortezza_dms_RESERVED`
    `static short` | `rsa_ephemeral_dh_RESERVED`
    `static short` | `rsa_fixed_dh`
    `static short` | `rsa_fixed_ecdh`
    `static short` | `rsa_sign`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientCertificateType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rsa_sign

          public static final short rsa_sign

      See Also:
        Constant Field Values

    - #### dss_sign

          public static final short dss_sign

      See Also:
        Constant Field Values

    - #### rsa_fixed_dh

          public static final short rsa_fixed_dh

      See Also:
        Constant Field Values

    - #### dss_fixed_dh

          public static final short dss_fixed_dh

      See Also:
        Constant Field Values

    - #### rsa_ephemeral_dh_RESERVED

          public static final short rsa_ephemeral_dh_RESERVED

      See Also:
        Constant Field Values

    - #### dss_ephemeral_dh_RESERVED

          public static final short dss_ephemeral_dh_RESERVED

      See Also:
        Constant Field Values

    - #### fortezza_dms_RESERVED

          public static final short fortezza_dms_RESERVED

      See Also:
        Constant Field Values

    - #### ecdsa_sign

          public static final short ecdsa_sign

      See Also:
        Constant Field Values

    - #### rsa_fixed_ecdh

          public static final short rsa_fixed_ecdh

      See Also:
        Constant Field Values

    - #### ecdsa_fixed_ecdh

          public static final short ecdsa_fixed_ecdh

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClientCertificateType

          public ClientCertificateType()